#include <bits/stdc++.h>

using namespace std;

int main()
{
ios_base::sync_with_stdio(false);
cin.tie(0);
cout.tie(0); 
int a,b,x,y;
cin>>x>>y;
cin>>a>>b;
if(x==a && y==b){
    cout<<"nijedan"<<'\n';

}
else {
    if((x-a)!=0  && (y-b)!=0){
        cout<<"?"<<'\n';
    }

    else if((x-a)>0 && y-b==0){
    cout<<"prvi"<<'\n';
}
  else if((x-a)==0 && y-b>0){
    cout<<"drugi"<<'\n';
}
}
}